coap_cache_internal.h File Reference

COAP cache internal information. More...

`#include "coap_io.h"`
Include dependency graph for coap_cache_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_digest_t
struct | coap_cache_key_t
struct | coap_cache_entry_t

## Typedefs

typedef struct coap_digest_t | coap_digest_t
typedef void | coap_digest_ctx_t

## Functions

void | coap_expire_cache_entries (coap_context_t *context)
| Expire coap_cache_entry_t entries. More...
coap_digest_ctx_t * | coap_digest_setup (void)
| Initialize a coap_digest. More...
void | coap_digest_free (coap_digest_ctx_t *digest_ctx)
| Free off coap_digest_ctx_t. More...
int | coap_digest_update (coap_digest_ctx_t *digest_ctx, const uint8_t *data, size_t data_len)
| Update the coap_digest information with the next chunk of data. More...
int | coap_digest_final (coap_digest_ctx_t *digest_ctx, coap_digest_t *digest_buffer)
| Finalize the coap_digest information into the provided `digest_buffer`. More...

## Detailed Description

COAP cache internal information.

Definition in file coap_cache_internal.h.